import { OnChanges, OnInit, SimpleChanges, TemplateRef } from '@angular/core';
import { LoadingStyle } from './loading.types';
import * as i0 from "@angular/core";
export declare class LoadingComponent implements OnInit, OnChanges {
    loadingTemplateRef: TemplateRef<any>;
    message: string;
    top: string;
    left: string;
    customPosition: boolean;
    target: Element;
    zIndex: number;
    loadingStyle: LoadingStyle;
    spinners: any[];
    targetName: string;
    ngOnChanges(changes: SimpleChanges): void;
    ngOnInit(): void;
    close(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<LoadingComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<LoadingComponent, "d-loading", never, { "loadingTemplateRef": { "alias": "loadingTemplateRef"; "required": false; }; "message": { "alias": "message"; "required": false; }; "top": { "alias": "top"; "required": false; }; "left": { "alias": "left"; "required": false; }; "customPosition": { "alias": "customPosition"; "required": false; }; "target": { "alias": "target"; "required": false; }; "zIndex": { "alias": "zIndex"; "required": false; }; "loadingStyle": { "alias": "loadingStyle"; "required": false; }; }, {}, never, never, false, never>;
}
