export declare class I18nFormat {
    private static readonly DEFAULT_LOCALE;
    private static readonly FULL_FORMAT_ZH;
    private static readonly FULL_FORMAT_EN;
    private static readonly FULL_FORMAT_RU;
    private static readonly LONG_FORMAT_ZH;
    private static readonly LONG_FORMAT_EN;
    private static readonly LONG_FORMAT_RU;
    private static readonly MEDIUM_FORMAT_ZH;
    private static readonly MEDIUM_FORMAT_EN;
    private static readonly MEDIUM_FORMAT_RU;
    private static readonly SHORT_FORMAT_ZH;
    private static readonly SHORT_FORMAT_EN;
    private static readonly SHORT_FORMAT_RU;
    private static readonly ULTRA_SHORT_FORMAT_ZH;
    private static readonly ULTRA_SHORT_FORMAT_EN;
    private static readonly ULTRA_SHORT_FORMAT_RU;
    static readonly localFormat: {
        'zh-cn': {
            full: string;
            long: string;
            medium: string;
            short: string;
            ultraShort: string;
        };
        'en-us': {
            full: string;
            long: string;
            medium: string;
            short: string;
            ultraShort: string;
        };
        'ru-ru': {
            full: string;
            long: string;
            medium: string;
            short: string;
            ultraShort: string;
        };
    };
    static getLocaleAndLang(locale?: string): {
        localeId: any;
        currentLanguage: string;
    };
    static formatDate(value: string | number | Date, format?: string, locale?: string, timezone?: string): string;
    static formatDateTime(value: string | number | Date, format?: string, locale?: string, timezone?: string): string;
    static formatDateTimeWithoutGMT(value: string | number | Date, format?: string, locale?: string, timezone?: string): string;
}
