import { AfterViewInit, ElementRef } from '@angular/core';
import { ControlValueAccessor } from '@angular/forms';
import { DevConfigService } from 'ng-devui/utils';
import { TextareaDirective } from './textarea.directive';
import * as i0 from "@angular/core";
export declare class TextareaMaxLengthComponent implements ControlValueAccessor, AfterViewInit {
    private el;
    private devConfigService;
    textareaInstance: TextareaDirective;
    disabled: boolean;
    error: boolean;
    maxLength: number;
    maxLengthBlocker: boolean;
    placeholder: string;
    rows: number;
    maxWidth: string;
    maxHeight: string;
    resize: 'none' | 'vertical' | 'horizontal' | 'both' | 'inherit';
    styleType: string;
    showGlowStyle: boolean;
    textareaElement: HTMLTextAreaElement;
    value: string;
    private onChange;
    private onTouch;
    constructor(el: ElementRef, devConfigService: DevConfigService);
    ngAfterViewInit(): void;
    registerOnChange(fn: any): void;
    registerOnTouched(fn: any): void;
    setDisabledState(isDisabled: boolean): void;
    writeValue(val: string): void;
    valueChanges(val: string): void;
    blurEvent(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<TextareaMaxLengthComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<TextareaMaxLengthComponent, "d-textarea-max-length", never, { "disabled": { "alias": "disabled"; "required": false; }; "error": { "alias": "error"; "required": false; }; "maxLength": { "alias": "maxLength"; "required": false; }; "maxLengthBlocker": { "alias": "maxLengthBlocker"; "required": false; }; "placeholder": { "alias": "placeholder"; "required": false; }; "rows": { "alias": "rows"; "required": false; }; "maxWidth": { "alias": "maxWidth"; "required": false; }; "maxHeight": { "alias": "maxHeight"; "required": false; }; "resize": { "alias": "resize"; "required": false; }; "styleType": { "alias": "styleType"; "required": false; }; "showGlowStyle": { "alias": "showGlowStyle"; "required": false; }; }, {}, never, never, false, never>;
}
