import { AfterViewInit, ElementRef, OnDestroy, Renderer2 } from '@angular/core';
import { NgModel } from '@angular/forms';
import { DevConfigService } from 'ng-devui/utils';
import * as i0 from "@angular/core";
export declare class TextareaDirective implements AfterViewInit, OnDestroy {
    private ngModel;
    private doc;
    private devConfigService;
    private el;
    private render;
    maxLengthBlocker: boolean;
    maxLengthCounter: boolean;
    resize: 'none' | 'vertical' | 'horizontal' | 'both' | 'inherit';
    error: boolean;
    rows: number;
    styleType: string;
    showGlowStyle: boolean;
    get hasGlowStyle(): boolean;
    get gray(): boolean;
    checkMaxLength: Function;
    getMaxLength: Function;
    counter: HTMLSpanElement;
    counterInner: HTMLElement;
    document: any;
    resizeWatcher: any;
    fontSize: number;
    constructor(ngModel: NgModel, doc: any, devConfigService: DevConfigService, el: ElementRef, render: Renderer2);
    ngAfterViewInit(): void;
    ngOnDestroy(): void;
    setMaxLengthBlocker(): void;
    setMaxLengthCounter(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<TextareaDirective, [{ optional: true; self: true; }, null, null, null, null]>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<TextareaDirective, "[dTextarea]", ["dTextarea"], { "maxLengthBlocker": { "alias": "maxLengthBlocker"; "required": false; }; "maxLengthCounter": { "alias": "maxLengthCounter"; "required": false; }; "resize": { "alias": "resize"; "required": false; }; "error": { "alias": "error"; "required": false; }; "rows": { "alias": "rows"; "required": false; }; "styleType": { "alias": "styleType"; "required": false; }; "showGlowStyle": { "alias": "showGlowStyle"; "required": false; }; }, {}, never, never, false, never>;
}
